require "import"
import "android.widget.*"
import "com.androlua.*"

local buttonList = {
    "Canción anterior",
    "Reproducir/Pausar",
    "Siguiente canción",
    "Subir volumen",
    "Bajar volumen"
}

local layout = {
    LinearLayout,
    orientation = "vertical",
    layout_width = "fill",
    layout_height = "fill",
    {
        TextView,
        text = "Controles de reproducción emergente",
        textSize = "20sp",
        gravity = "center",
        layout_width = "fill",
        layout_height = "wrap"
    },
    {
        GridView,
        id = "grid",
        numColumns = 1,
        layout_width = "fill",
        layout_height = "fill"
    }
}

local dlg = LuaDialog(service)
dlg.setView(loadlayout(layout))
grid.adapter = ArrayAdapter(service, android.R.layout.simple_list_item_1, buttonList)
dlg.setButton("Cancelar", nil)
dlg.show()

grid.onItemClick = function(l, v, p, i)
    service.playSoundTick()

    if i == 0 then
        if service.execute("Pista anterior") then
            return true
        end
    elseif i == 1 then
        if service.execute("Pausar la reproducción") then
            return true
        end
    elseif i == 2 then
        if service.execute("Pista siguiente") then
            return true
        end
    elseif i == 3 then
        if service.execute("Subir volumen") then
            return true
        end
    elseif i == 4 then
        if service.execute("Bajar volumen") then
            return true
        end
    end
end

return true